Permalink
Browse files

Correct version matching in setup.py

These conditions were only mactching on 2.6.0 and 3.3.0 and older
respectively instead of covering the entire 2.6 and 3.3 series.

The unit tests now pass again on Python 3.3.
  • Loading branch information...
1 parent b0b0a1b commit f17da6799bd47493f4263417f958e3d7e8cf1ead @mjs committed Dec 21, 2016
Showing with 2 additions and 2 deletions.
  1. +2 −2 setup.py
View
@@ -16,9 +16,9 @@
MAJ_MIN_MIC = sys.version_info[:3]
IS_PY3 = MAJ_MIN_MIC >= (3, 0, 0)
-IS_PY_26_OR_OLDER = MAJ_MIN_MIC <= (2, 6, 0)
+IS_PY_26_OR_OLDER = MAJ_MIN_MIC < (2, 7, 0)
IS_PY_278_OR_OLDER = MAJ_MIN_MIC <= (2, 7, 8)
-IS_PY_33_OR_OLDER = MAJ_MIN_MIC <= (3, 3, 0)
+IS_PY_33_OR_OLDER = MAJ_MIN_MIC < (3, 4, 0)
IS_PY_34_OR_NEWER = MAJ_MIN_MIC >= (3, 4, 0)
# Read version info

0 comments on commit f17da67

Please sign in to comment.